library model_library;

import 'package:json_annotation/json_annotation.dart';
import 'package:tidi_quiz/models/answermodel.dart';

part 'questionmodel.g.dart';

/// A dartobject model of the database value question
@JsonSerializable(explicitToJson: true)
class QuestionModel {
  QuestionModel(this.id, this.questionText, this.answers);

  int id;
  String questionText;
  List<AnswerModel> answers;

  /// Transforms a json-object to a QuestionModel object.
  factory QuestionModel.fromJson(Map<String, dynamic> json) =>
      _$QuestionModelFromJson(json);

  /// Transforms a QuestionModel object to a jason-object.
  Map<String, dynamic> toJson() => _$QuestionModelToJson(this);
}
