import 'package:flutter/material.dart';

/// UI-element used to display the answeralternatives for a [QuestionModel].
class Answer extends StatelessWidget {
  final VoidCallback selectedAnswerhandler;
  final String answerText;

  const Answer(this.selectedAnswerhandler, this.answerText, {Key? key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 290,
      height: 80,
      margin: const EdgeInsets.all(10),
      child: ElevatedButton(
        child: Text(answerText, textAlign: TextAlign.center),
        style: ElevatedButton.styleFrom(
            textStyle: const TextStyle(fontSize: 28),
            shape:
                RoundedRectangleBorder(borderRadius: BorderRadius.circular(35)),
            primary: const Color(0xFF283593),
            onPrimary: Colors.white),
        onPressed: selectedAnswerhandler,
      ),
    );
  }
}
